Package org.jboss.resteasy.plugins.providers.multipart

## Class AbstractMultipartWriter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter

- Direct Known Subclasses:
    `AbstractMultipartFormDataWriter`, `AbstractMultipartRelatedWriter`, `ListMultipartWriter`, `MultipartWriter`

      public class AbstractMultipartWriter
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static byte[]` | `COLON_SPACE_BYTES` |
    `protected static byte[]` | `DOUBLE_DASH_BYTES` |
    `protected static byte[]` | `LINE_SEPARATOR_BYTES` |
    `protected javax.ws.rs.ext.Providers` | `workers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractMultipartWriter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CompletionStage<Void>` | `asyncWrite​(MultipartOutput multipartOutput, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders, AsyncOutputStream entityStream)` |
    `protected CompletionStage<Void>` | `asyncWritePart​(AsyncOutputStream entityStream, byte[] boundaryBytes, OutputPart part, javax.ws.rs.core.MultivaluedMap<String,​Object> headers)` |
    `protected CompletionStage<Void>` | `asyncWriteParts​(MultipartOutput multipartOutput, AsyncOutputStream entityStream, byte[] boundaryBytes)` |
    `protected void` | `write​(MultipartOutput multipartOutput, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders, OutputStream entityStream)` |
    `protected void` | `writePart​(OutputStream entityStream, byte[] boundaryBytes, OutputPart part, javax.ws.rs.core.MultivaluedMap<String,​Object> headers)` |
    `protected void` | `writeParts​(MultipartOutput multipartOutput, OutputStream entityStream, byte[] boundaryBytes)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOUBLE_DASH_BYTES

          protected static final byte[] DOUBLE_DASH_BYTES

    - #### LINE_SEPARATOR_BYTES

          protected static final byte[] LINE_SEPARATOR_BYTES

    - #### COLON_SPACE_BYTES

          protected static final byte[] COLON_SPACE_BYTES

    - #### workers

          @Context
          protected javax.ws.rs.ext.Providers workers

  - ### Constructor Detail

    - #### AbstractMultipartWriter

          public AbstractMultipartWriter()

  - ### Method Detail

    - #### write

          protected void write​(MultipartOutput multipartOutput,
                               javax.ws.rs.core.MediaType mediaType,
                               javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders,
                               OutputStream entityStream)
                        throws IOException

      Throws:
        `IOException`

    - #### writeParts

          protected void writeParts​(MultipartOutput multipartOutput,
                                    OutputStream entityStream,
                                    byte[] boundaryBytes)
                             throws IOException

      Throws:
        `IOException`

    - #### writePart

          protected void writePart​(OutputStream entityStream,
                                   byte[] boundaryBytes,
                                   OutputPart part,
                                   javax.ws.rs.core.MultivaluedMap<String,​Object> headers)
                            throws IOException

      Throws:
        `IOException`

    - #### asyncWrite

          protected CompletionStage<Void> asyncWrite​(MultipartOutput multipartOutput,
                                                     javax.ws.rs.core.MediaType mediaType,
                                                     javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders,
                                                     AsyncOutputStream entityStream)

    - #### asyncWriteParts

          protected CompletionStage<Void> asyncWriteParts​(MultipartOutput multipartOutput,
                                                          AsyncOutputStream entityStream,
                                                          byte[] boundaryBytes)

    - #### asyncWritePart

          protected CompletionStage<Void> asyncWritePart​(AsyncOutputStream entityStream,
                                                         byte[] boundaryBytes,
                                                         OutputPart part,
                                                         javax.ws.rs.core.MultivaluedMap<String,​Object> headers)